Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.fb.constants

# Class StandardBlobTypes

java.lang.Object
org.firebirdsql.jaybird.fb.constants.StandardBlobTypes

public final class StandardBlobTypes extends Object
Constants for standard Firebird blob subtypes.

Since:
  5
Author:
  Mark Rotteveel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `isc_blob_acl`
  `static final int`
  `isc_blob_blr`
  `static final int`
  `isc_blob_debug_info`
  `static final int`
  `isc_blob_extfile`
  `static final int`
  `isc_blob_format`
  `static final int`
  `isc_blob_ranges`
  `static final int`
  `isc_blob_summary`
  `static final int`
  `isc_blob_text`
  `static final int`
  `isc_blob_tra`
  `static final int`
  `isc_blob_untyped`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### isc_blob_untyped

    public static final int isc_blob_untyped
    See Also:
      - Constant Field Values

  - ### isc_blob_text

    public static final int isc_blob_text
    See Also:
      - Constant Field Values

  - ### isc_blob_blr

    public static final int isc_blob_blr
    See Also:
      - Constant Field Values

  - ### isc_blob_acl

    public static final int isc_blob_acl
    See Also:
      - Constant Field Values

  - ### isc_blob_ranges

    public static final int isc_blob_ranges
    See Also:
      - Constant Field Values

  - ### isc_blob_summary

    public static final int isc_blob_summary
    See Also:
      - Constant Field Values

  - ### isc_blob_format

    public static final int isc_blob_format
    See Also:
      - Constant Field Values

  - ### isc_blob_tra

    public static final int isc_blob_tra
    See Also:
      - Constant Field Values

  - ### isc_blob_extfile

    public static final int isc_blob_extfile
    See Also:
      - Constant Field Values

  - ### isc_blob_debug_info

    public static final int isc_blob_debug_info
    See Also:
      - Constant Field Values